package com.xy.annotation;

import java.lang.annotation.*;

/**
 * 检查系统是否属于当前登录人
 *
 * @author lijin
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface CheckSysId {

    /**
     * 系统id属性名
     */
    String value() default "systemId,sysId";

}
