package com.xy.entity.join;

import com.xy.entity.SysMenu;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 菜单表和角色菜单表关联实体
 */
@Data
@Accessors(chain = true)
public class SysMenuJoinSysRoleMenu extends SysMenu implements Serializable {

    /**
     * 角色id
     */
    private Long roleId;

    /**
     * 管理员数据查询权限
     */
    private Boolean selectIsAdmin;

    /**
     * 子级集合
     */
    private List<SysMenuJoinSysRoleMenu> sonSysMenu;

}
