package com.xy.service;

import java.util.List;

/***
 * 角色菜单表
 * @author 谭斌
 * @date 2022/12/13 9:08
 */
public interface SysRoleMenuService {

    /**
     * 更新角色菜单权限
     *
     * @param roleId
     * @param menuIds
     * @return
     */
    Boolean saveRoleMenus(Long roleId, List<Long> menuIds);

    /**
     * 查询角色菜单
     *
     * @param roleId
     * @return
     */
    List<Long> getRoleMenus(Long roleId);

}
