package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysSystemValueDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 系统属性表 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@RestMappingController("sys-system-value")
public interface SysSystemValueService {

    /**
     * 分页查询
     *
     * @param select
     * @return
     */
    @PostMapping("page")
    R<PageBean<SysSystemValueDto.Vo>> page(@RequestBody @Validated SysSystemValueDto.Select select);
}
