package com.xy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@ApiModel("角色表信息")
@Accessors(chain = true)
public class SysRoleVo extends BaseVo {

    @ApiModelProperty("角色ID")
    private Long id;

    @ApiModelProperty("系统")
    private Long sysId;


    @ApiModelProperty("角色标识")
    private String code;

    @ApiModelProperty("角色名称")
    private String name;


    @ApiModelProperty("描述")
    private String description;


    @ApiModelProperty("状态;true=启用(默认) false=禁用")
    private Boolean status;


    @ApiModelProperty("是否预留角色;true=是 false=否(默认)")
    private Boolean isLeave;

    @ApiModelProperty("角色菜单")
    private List<Long> menuIds;


}
